json-c 0.13

Data Fields
lh_entry Struct Reference

## Data Fields
const void * | k
int | k_is_constant
const void * | v
struct lh_entry * | next
struct lh_entry * | prev

## Detailed Description

An entry in the hash table

## Field Documentation

## ◆ k

const void* lh_entry::k

The key. Use lh_entry_k() instead of accessing this directly.

## ◆ k_is_constant

int lh_entry::k_is_constant

A flag for users of linkhash to know whether or not they need to free k.

## ◆ next

struct lh_entry* lh_entry::next

The next entry

## ◆ prev

struct lh_entry* lh_entry::prev

The previous entry.

## ◆ v

const void* lh_entry::v

The value. Use lh_entry_v() instead of accessing this directly.

The documentation for this struct was generated from the following file:

- linkhash.h